# -*- coding: UTF-8 -*-
# python-wifi -- a wireless library to access wireless cards via python
# Version: 0.3.1
# Copyright (C) 2004 - 2008 Róman Joost
#
# Contributions from:
#   Mike Auty <m.auty@softhome.net> (Iwscanresult, Iwscan)
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU General Public License
#    as published by the Free Software Foundation; either version 2.0 of
#    the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful, but
#    WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
#    General Public License for more details.
#
#    You should have received a copy of the GNU General Public License along
#    with this library; if not, write to the Free Software Foundation, Inc.,
#    59 Temple Place, Suite 330, Boston, MA 02111-1307, USA
#
#   This library was modified by Fernando Pablo Romero Navarro (May-2010):
#    * Added constants for setting frequency & bit rate.
#    * Added constants for getting/setting interface's flags.
#    * Added constants for checking whether the interface is enabled.
#    * Added constants for reporting the network security and helping to
#      reveal this issue.

modes = ['Auto', 
         'Ad-Hoc',
         'Managed',
         'Master', 
         'Repeat',
         'Second',
         'Monitor']

IFNAMSIZE = 16
IW_ESSID_MAX_SIZE = 16
IW_FREQ_FIXED = 0x01


IFF_UP = 0x1
SIOCGIFFLAGS=0x8913
SIOCSIFFLAGS=0x8914
SIOCSIFADDR=0x8916
SIOCGIFHWADDR=0x8927


SIOCIWFIRST   = 0x8B00    
SIOCGIFCONF   = 0x8912    
SIOCGIWNAME   = 0x8B01    
SIOCSIWFREQ   = 0x8B04    
SIOCGIWFREQ   = 0x8B05    
SIOCSIWMODE   = 0x8B06    
SIOCGIWMODE   = 0x8B07    
SIOCGIWSENS   = 0x8B09    
SIOCGIWAP     = 0x8B15    
SIOCSIWSCAN   = 0x8B18    
SIOCGIWSCAN   = 0x8B19    
SIOCSIWRATE   = 0x8B20    
SIOCGIWRATE   = 0x8B21    
SIOCGIWRTS    = 0x8B23    
SIOCGIWFRAG   = 0x8B25    
SIOCGIWTXPOW  = 0x8B27    
SIOCGIWRETRY  = 0x8B29    
SIOCGIWRANGE  = 0x8B0B    
SIOCGIWSTATS  = 0x8B0F    
SIOCSIWESSID  = 0x8B1A    
SIOCGIWESSID  = 0x8B1B    
SIOCGIWPOWER  = 0x8B2D    
SIOCGIWENCODE = 0x8B2B    
SIOCIWLAST    = 0x8BFF    


IW_POWER_ON = 0x0000      
IW_POWER_TYPE = 0xF000    
IW_POWER_PERIOD = 0x1000    
IW_POWER_TIMEOUT = 0x2000   
IW_POWER_MODE = 0x0F00      
IW_POWER_MIN = 0x0001       
IW_POWER_MAX = 0x0002       
IW_POWER_RELATIVE = 0x0004  


IW_RETRY_TYPE = 0xF000


IW_ENCODE_DISABLED = 0x8000
IW_ENCODE_NOKEY = 0x0800

IW_ENCODE_NONE=0
IW_ENCODE_WEP=1
IW_ENCODE_WPA=2
IW_RSN_IE_ID=0x30
IW_MULT_IE_ID=0xDD
IW_WPA_OUI_IE="\x00\x50\xF2\x01"


IW_SCAN_MAX_DATA = 4096

IW_EV_LCP_LEN = 4
IW_EV_CHAR_LEN = IW_EV_LCP_LEN + IFNAMSIZE
IW_EV_UINT_LEN = IW_EV_LCP_LEN + 4
IW_EV_FREQ_LEN = IW_EV_LCP_LEN + 8
IW_EV_ADDR_LEN = IW_EV_LCP_LEN + 16
IW_EV_POINT_LEN = IW_EV_LCP_LEN + 4
IW_EV_PARAM_LEN = IW_EV_LCP_LEN + 8
IW_EV_QUAL_LEN = IW_EV_LCP_LEN + 4

EPERM = 1
E2BIG = 7
EAGAIN = 11

IWHT_NULL = 0
IWHT_CHAR = 2
IWHT_UINT = 4
IWHT_FREQ = 5
IWHT_ADDR = 6
IWHT_POINT = 8
IWHT_PARAM = 9
IWHT_QUAL = 10

IWEVGENIE       =0x8C05   
                         
IWEVFIRST     = 0x8C00    
IWEVQUAL      = 0x8C01    
IWEVCUSTOM    = 0x8C02    
IWEVLAST      = 0x8C0A    
